import request from '@/utils/request'

// 查询网络大V列表
export function listWldv(query) {
  return request({
    url: '/tcZz/networkEcology/wldv/list',
    method: 'get',
    params: query
  })
}

// 查询网络大V详细
export function getWldv(id) {
  return request({
    url: '/tcZz/networkEcology/wldv/' + id,
    method: 'get'
  })
}

// 新增网络大V
export function addWldv(data) {
  return request({
    url: '/tcZz/networkEcology/wldv',
    method: 'post',
    data: data
  })
}

// 修改网络大V
export function updateWldv(data) {
  return request({
    url: '/tcZz/networkEcology/wldv',
    method: 'put',
    data: data
  })
}

// 删除网络大V
export function delWldv(id) {
  return request({
    url: '/tcZz/networkEcology/wldv/' + id,
    method: 'delete'
  })
}
